| Openscape Voice V10 - SOAP Interface Documentation

Private Attributes | List of all members
unsp__HGMember Class Reference
Multi Line Hunt Group

MLHG Member data. More...

`#include <osv-if-doc.h>`

## Private Attributes
char * | HGName
| The Business Group of the ML Hunt Group and its Pilot. More...
char * | PilotDn
| The DN of the subscriber that represents the Pilot DN of the MLHG. More...
enum unsp__HuntType * | HuntType
| The hunting algorithm of the MLHG. More...
int * | NoAnsAdvTime
| Indicates the time for which a terminal will ring before the hunting algorithm moves on to continue searching for the next available terminal. More...
char * | OverFlowDN
| Specifies the destination of unanswered incoming calls when the queue is full. More...
enum unsp__PilotDnType * | PilotDnType
| The Pilot DN Type. More...
struct unsp__MlhgTermList * | MlhgTermList
| List of MLHG Terminals. More...

## Detailed Description

MLHG Member data.

## Member Data Documentation

## ◆ HGName

char* unsp__HGMember::HGName
| private

The Business Group of the ML Hunt Group and its Pilot.

default value[range]: NA [1..30]

## ◆ HuntType

enum unsp__HuntType* unsp__HGMember::HuntType
| private

The hunting algorithm of the MLHG.

default value[range]: NA

## ◆ MlhgTermList

struct unsp__MlhgTermList* unsp__HGMember::MlhgTermList
| private

List of MLHG Terminals.

## ◆ NoAnsAdvTime

int* unsp__HGMember::NoAnsAdvTime
| private

Indicates the time for which a terminal will ring before the hunting algorithm moves on to continue searching for the next available terminal.

default value[range]: NA [5..3600]

## ◆ OverFlowDN

char* unsp__HGMember::OverFlowDN
| private

Specifies the destination of unanswered incoming calls when the queue is full.

This DN can be a DN, alphanumeric SIP URI or a private extension.

See also
  unsp__CFTarget

## ◆ PilotDn

char* unsp__HGMember::PilotDn
| private

The DN of the subscriber that represents the Pilot DN of the MLHG.

See also
  unsp__ServiceId

## ◆ PilotDnType

enum unsp__PilotDnType* unsp__HGMember::PilotDnType
| private

The Pilot DN Type.

default value[range]: NA

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h